> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Creations

> This brand's creation runs, newest first. Archived excluded by default.



## OpenAPI

````yaml /openapi.json get /api/v1/brands/{brand_id}/creative/creations
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}/creative/creations:
    get:
      tags:
        - Brand Creative
        - Brand Creative
      summary: List Creations
      description: This brand's creation runs, newest first. Archived excluded by default.
      operationId: list_creations_api_v1_brands__brand_id__creative_creations_get
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
        - name: flow
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Flow
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - name: include_archived
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Include Archived
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            title: Limit
            default: 20
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            title: Offset
            default: 0
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreationListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CreationListResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/CreationSummary'
          type: array
          title: Items
        total:
          type: integer
          title: Total
          default: 0
        limit:
          type: integer
          title: Limit
          default: 20
        offset:
          type: integer
          title: Offset
          default: 0
      type: object
      title: CreationListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CreationSummary:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        flow:
          type: string
          title: Flow
        status:
          type: string
          title: Status
        source_type:
          type: string
          title: Source Type
        source_label:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Label
        aspect_ratio:
          anyOf:
            - type: string
            - type: 'null'
          title: Aspect Ratio
        platform:
          anyOf:
            - type: string
            - type: 'null'
          title: Platform
        asset_count:
          type: integer
          title: Asset Count
          default: 0
        preview_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Preview Url
        archived_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Archived At
        created_at:
          type: string
          format: date-time
          title: Created At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
      type: object
      required:
        - id
        - flow
        - status
        - source_type
        - created_at
      title: CreationSummary
      description: A card in the My Creations grid.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````